# Update a group PUT https://app.unleash-instance.example.com/api/admin/groups/{groupId} Content-Type: application/json **Enterprise feature** Update existing user group by group id. It overrides previous group details. Reference: https://docs.getunleash.io/api/update-group ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Update a group version: endpoint_users.updateGroup paths: /api/admin/groups/{groupId}: put: operationId: update-group summary: Update a group description: >- **Enterprise feature** Update existing user group by group id. It overrides previous group details. tags: - - subpackage_users parameters: - name: groupId in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: groupSchema content: application/json: schema: $ref: '#/components/schemas/groupSchema' '400': description: The request data does not match what we expect. content: {} '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} '404': description: The requested resource was not found. content: {} '409': description: >- The provided resource can not be created or updated because it would conflict with the current state of the resource or with an already existing resource, respectively. content: {} requestBody: description: createGroupSchema content: application/json: schema: $ref: '#/components/schemas/createGroupSchema' components: schemas: CreateGroupSchemaUsersItemsUser: type: object properties: id: type: integer description: The user id required: - id CreateGroupSchemaUsersItems: type: object properties: user: $ref: '#/components/schemas/CreateGroupSchemaUsersItemsUser' description: A minimal user object required: - user createGroupSchema: type: object properties: name: type: string description: The name of the group description: type: - string - 'null' description: A custom description of the group mappingsSSO: type: array items: type: string description: A list of SSO groups that should map to this Unleash group rootRole: type: - number - 'null' format: double description: >- A role id that is used as the root role for all users in this group. This can be either the id of the Viewer, Editor or Admin role. users: type: array items: $ref: '#/components/schemas/CreateGroupSchemaUsersItems' description: A list of users belonging to this group required: - name UserSchemaAccountType: type: string enum: - value: User - value: Service Account userSchema: type: object properties: id: type: integer description: The user id name: type: - string - 'null' description: Name of the user email: type: string description: Email of the user username: type: - string - 'null' description: A unique username for the user imageUrl: type: string description: URL used for the user profile image inviteLink: type: string description: >- If the user is actively inviting other users, this is the link that can be shared with other users loginAttempts: type: integer description: How many unsuccessful attempts at logging in has the user made emailSent: type: boolean description: Is the welcome email sent to the user or not rootRole: type: integer description: >- Which [root role](https://docs.getunleash.io/concepts/rbac#predefined-roles) this user is assigned seenAt: type: - string - 'null' format: date-time description: The last time this user logged in createdAt: type: string format: date-time description: The user was created at this time accountType: $ref: '#/components/schemas/UserSchemaAccountType' description: A user is either an actual User or a Service Account permissions: type: array items: type: string description: Deprecated scimId: type: - string - 'null' description: The SCIM ID of the user, only present if managed by SCIM seatType: type: - string - 'null' description: The seat type of this user companyRole: type: - string - 'null' description: The role of the user within the company. productUpdatesEmailConsent: type: - boolean - 'null' description: Whether the user has consented to receive product update emails. activeSessions: type: - integer - 'null' description: Count of active browser sessions for this user deletedSessions: type: number format: double description: >- Experimental. The number of deleted browser sessions after last login required: - id groupUserModelSchema: type: object properties: joinedAt: type: string format: date-time description: The date when the user joined the group createdBy: type: - string - 'null' description: The username of the user who added this user to this group user: $ref: '#/components/schemas/userSchema' required: - user groupSchema: type: object properties: id: type: integer description: The group id name: type: string description: The name of the group description: type: - string - 'null' description: A custom description of the group mappingsSSO: type: array items: type: string description: A list of SSO groups that should map to this Unleash group rootRole: type: - number - 'null' format: double description: >- A role id that is used as the root role for all users in this group. This can be either the id of the Viewer, Editor or Admin role. createdBy: type: - string - 'null' description: A user who created this group createdAt: type: - string - 'null' format: date-time description: When was this group created users: type: array items: $ref: '#/components/schemas/groupUserModelSchema' description: A list of users belonging to this group projects: type: array items: type: string description: A list of projects where this group is used userCount: type: integer description: The number of users that belong to this group scimId: type: - string - 'null' description: The SCIM ID of the group, only present if managed by SCIM required: - name ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/groups/groupId" payload = { "name": "DX team" } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/groups/groupId'; const options = { method: 'PUT', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"name":"DX team"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/groups/groupId" payload := strings.NewReader("{\n \"name\": \"DX team\"\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/groups/groupId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"DX team\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://app.unleash-instance.example.com/api/admin/groups/groupId") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"name\": \"DX team\"\n}") .asString(); ``` ```php request('PUT', 'https://app.unleash-instance.example.com/api/admin/groups/groupId', [ 'body' => '{ "name": "DX team" }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/groups/groupId"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"DX team\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = ["name": "DX team"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/groups/groupId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```